<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-certification-heading" jhiTranslate="gestioncvsApp.certification.home.createOrEditLabel">Create or edit a Certification</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.certification.intitule" for="field_intitule">Intitule</label>
                    <input type="text" class="form-control" name="intitule" id="field_intitule"
                           formControlName="intitule"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.certification.organisme" for="field_organisme">Organisme</label>
                    <input type="text" class="form-control" name="organisme" id="field_organisme"
                           formControlName="organisme"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.certification.anneeObtention" for="field_anneeObtention">Annee Obtention</label>
                    <div class="d-flex">
                        <input id="field_anneeObtention" type="datetime-local" class="form-control" name="anneeObtention" formControlName="anneeObtention" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.certification.domaine" for="field_domaine">Domaine</label>
                    <input type="text" class="form-control" name="domaine" id="field_domaine"
                           formControlName="domaine"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.certification.ressourcePropose" for="field_ressourcePropose">Ressource Propose</label>
                    <select class="form-control" id="field_ressourcePropose" name="ressourcePropose" formControlName="ressourceProposeId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="ressourceProposeOption.id" *ngFor="let ressourceProposeOption of ressourceproposes; trackBy: trackById">{{ ressourceProposeOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
